﻿// Sample Code is provided for the purpose of illustration only and is not intended to be used in a production environment. 
// THIS SAMPLE CODE AND ANY RELATED INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND/OR FITNESS FOR A PARTICULAR PURPOSE

namespace HardwareApiCSharpSample.Models.ShippingLabels
{
    using Newtonsoft.Json;
    using Newtonsoft.Json.Converters;

    /// <summary>
    /// Represents a PNP.
    /// </summary>
    public class DistributionChid : DistributionChidBase
    {
        /// <summary>
        /// Gets or sets the distribution state.
        /// </summary>
        [JsonConverter(typeof(StringEnumConverter))]
        public ShippingLabelDistributionState DistributionState { get; set; }
    }
}