﻿// Sample Code is provided for the purpose of illustration only and is not intended to be used in a production environment. 
// THIS SAMPLE CODE AND ANY RELATED INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND/OR FITNESS FOR A PARTICULAR PURPOSE

namespace HardwareApiCSharpSample.Models.ShippingLabels
{
    /// <summary>
    /// Denotes the distribution of a PNP or a CHID.
    /// </summary>
    public enum ShippingLabelDistributionState
    {
        /// <summary>
        /// Unknown.
        /// </summary>
        Unknown = 0,

        /// <summary>
        /// Pending add.
        /// </summary>
        PendingAdd = 1,

        /// <summary>
        /// Added.
        /// </summary>
        Added = 2,

        /// <summary>
        /// Pending remove.
        /// </summary>
        PendingRemove = 3
    }
}
