﻿// Sample Code is provided for the purpose of illustration only and is not intended to be used in a production environment. 
// THIS SAMPLE CODE AND ANY RELATED INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND/OR FITNESS FOR A PARTICULAR PURPOSE

namespace HardwareApiCSharpSample.Models.ShippingLabels
{
    /// <summary>
    /// Shipping Label Patch
    /// </summary>
    public class ShippingLabelForUpdation
    {
        /// <summary>
        /// Gets or sets the Targeting Info.
        /// </summary>
        public ShippingLabelTargetingInfoForUpdation Targeting { get; set; }

        /// <summary>
        /// Gets or sets business justification text
        /// </summary>
        public string BusinessJustification { get; set; }
    }
}
