﻿// -----------------------------------------------------------------------
// <copyright file="ShippingLabelTargetingBase.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
// -----------------------------------------------------------------------

namespace HardwareApiCSharpSample.Models.ShippingLabels
{
    /// <summary>
    /// ShippingLabel Targeting BaseClass
    /// </summary>
    public class ShippingLabelTargetingBase
    {
        /// <summary>
        /// Gets or sets InService publishing restrictions
        /// </summary>
        public InServicePublishRestriction InServicePublishInfo { get; set; }

        /// <summary>
        /// Gets or sets driver publishing restrictions for CoEngineered drivers
        /// </summary>
        public CoEngPublishRestriction CoEngDriverPublishInfo { get; set; }
    }
}
