﻿
// Sample Code is provided for the purpose of illustration only and is not intended to be used in a production environment. 
// THIS SAMPLE CODE AND ANY RELATED INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND/OR FITNESS FOR A PARTICULAR PURPOSE

namespace HardwareApiCSharpSample.Models
{
    using Newtonsoft.Json;
    using Newtonsoft.Json.Converters;

    /// <summary>
    /// Submission
    /// </summary>
    public class Submission
    {
        /// <summary>
        /// Gets or sets submission name.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Gets or sets submission type.
        /// </summary>
        [JsonConverter(typeof(StringEnumConverter))]
        public SubmissionTypes Type { get; set; }
    }
}