﻿
// Sample Code is provided for the purpose of illustration only and is not intended to be used in a production environment. 
// THIS SAMPLE CODE AND ANY RELATED INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND/OR FITNESS FOR A PARTICULAR PURPOSE

namespace HardwareApiCSharpSample.Models
{
    /// <summary>
    /// The additional attributes for a product.
    /// </summary>
    public class AdditionalAttributes
    {
        /// <summary>
        /// Gets or sets sorage controller attributes.
        /// </summary>
        public StorageControllerAttributes StorageController { get; set; }

        /// <summary>
        /// Gets or sets raid controller attributes.
        /// </summary>
        public RaidControllerAttributes RaidController { get; set; }

        /// <summary>
        /// Gets or sets svvp attributes.
        /// </summary>
        public SvvpAttributes Svvp { get; set; }
    }
}