﻿
// Sample Code is provided for the purpose of illustration only and is not intended to be used in a production environment. 
// THIS SAMPLE CODE AND ANY RELATED INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND/OR FITNESS FOR A PARTICULAR PURPOSE

namespace HardwareApiCSharpSample.Models
{
    /// <summary>
    /// Device type
    /// </summary>
    public enum DeviceType
    {
        /// <summary>
        /// Not set
        /// </summary>
        NotSet = 0,

        /// <summary>
        /// Internal device
        /// </summary>
        Internal = 1,

        /// <summary>
        /// External device
        /// </summary>
        External = 2,

        /// <summary>
        /// Internal and external device
        /// </summary>
        InternalExternal = 3
    }
}