﻿// -----------------------------------------------------------------------
// <copyright file="CoEngPublishRestriction.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
// -----------------------------------------------------------------------

namespace HardwareApiCSharpSample.Models.ShippingLabels
{
    /// <summary>
    /// Driver restriction information for CoEngineered Drivers
    /// </summary>
    public class CoEngPublishRestriction
    {
        /// <summary>
        /// Gets or sets Build number for ceiling OS
        /// </summary>
        public int? CeilingBuildNumber { get; set; }

        /// <summary>
        /// Gets or sets Build number for flooring OS
        /// </summary>
        public int? FlooringBuildNumber { get; set; }
    }
}