﻿// Sample Code is provided for the purpose of illustration only and is not intended to be used in a production environment. 
// THIS SAMPLE CODE AND ANY RELATED INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND/OR FITNESS FOR A PARTICULAR PURPOSE

namespace HardwareApiCSharpSample.Models.ShippingLabels
{
    /// <summary>
    /// The base class of hardware ID.
    /// </summary>
    public abstract class HardwareIdBase
    {
        /// <summary>
        /// Gets or sets the bundle ID.
        /// </summary>
        public string BundleId { get; set; }

        /// <summary>
        /// Gets or sets the inf from which the pnp was chosen.
        /// </summary>
        public string InfId { get; set; }

        /// <summary>
        /// Gets or sets the OS code.
        /// </summary>
        public string OperatingSystemCode { get; set; }

        /// <summary>
        /// Gets or sets the pnp string.
        /// </summary>
        public string PnpString { get; set; }
    }
}