﻿// Sample Code is provided for the purpose of illustration only and is not intended to be used in a production environment. 
// THIS SAMPLE CODE AND ANY RELATED INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND/OR FITNESS FOR A PARTICULAR PURPOSE

namespace HardwareApiCSharpSample.Models.ShippingLabels
{
    /// <summary>
    /// Shipping label distribution information
    /// </summary>
    public class RecipientSpecifications
    {
        /// <summary>
        /// Gets or sets publisher who is going to receive the shared shipping label
        /// </summary>
        public string ReceiverPublisherId { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether to enforce CHID targetting
        /// </summary>
        public bool EnforceChidTargeting { get; set; }
    }
}
