﻿// Sample Code is provided for the purpose of illustration only and is not intended to be used in a production environment. 
// THIS SAMPLE CODE AND ANY RELATED INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND/OR FITNESS FOR A PARTICULAR PURPOSE

namespace HardwareApiCSharpSample.Models.ShippingLabels
{
    /// <summary>
    /// Shipping label type
    /// </summary>
    public enum ShippingLabelDestination
    {
        /// <summary>
        /// Shipping label type not set
        /// </summary>
        NotSet,

        /// <summary>
        /// Indicases shipping label for Windows Update
        /// </summary>
        WindowsUpdate,

        /// <summary>
        /// Indicates shipping label for sharing with partner
        /// </summary>
        AnotherPartner
    }
}