﻿
// Sample Code is provided for the purpose of illustration only and is not intended to be used in a production environment. 
// THIS SAMPLE CODE AND ANY RELATED INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND/OR FITNESS FOR A PARTICULAR PURPOSE

namespace HardwareApiCSharpSample.Models
{
    /// <summary>
    /// Svvp attributes.
    /// </summary>
    public class SvvpAttributes
    {
        /// <summary>
        /// Gets or sets product Version
        /// </summary>
        public string ProductVersion { get; set; }

        /// <summary>
        /// Gets or sets support Link
        /// </summary>
        public string SupportLink { get; set; }

        /// <summary>
        /// Gets or sets guest OS
        /// </summary>
        public string GuestOs { get; set; }

        /// <summary>
        /// Gets or sets processorArchitecture
        /// </summary>
        public string ProcessorArchitecture { get; set; }

        /// <summary>
        /// Gets or sets max Processors in VM
        /// </summary>
        public int MaxProcessors { get; set; }

        /// <summary>
        /// Gets or sets max Memory in VM in GB
        /// </summary>
        public int MaxMemory { get; set; }
    }
}